
package imageConvolution.ui.functions;

/**
 * The Copy Edge function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class CopyEdgeFunction extends ButtonSwitchFunction {

  /** Singleton instance. */
  private static CopyEdgeFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static CopyEdgeFunction getInstance() {
    if (CopyEdgeFunction.instance==null)
      CopyEdgeFunction.instance=new CopyEdgeFunction();
    return CopyEdgeFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {
    setOn(true);
  }

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {}

  /**
   * @see ui.functions.ButtonSwitchFunction#save()
   * @since 1.0
   */
  protected void save() {}
}
