
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The Open image function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class OpenImageFunction extends ButtonFunction {

  /** Singleton instance. */
  private static OpenImageFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static OpenImageFunction getInstance() {
    if (OpenImageFunction.instance==null)
      OpenImageFunction.instance=new OpenImageFunction();
    return OpenImageFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().showOpenFileDialog();
  }
}
