
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The Process image function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class ProcessFunction extends ButtonFunction {

  /** Singleton instance. */
  private static ProcessFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static ProcessFunction getInstance() {
    if (ProcessFunction.instance==null)
      ProcessFunction.instance=new ProcessFunction();
    return ProcessFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().processImage();
  }
}
