
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The ? function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class UseAsSourceFunction extends ButtonFunction {

  /** Singleton instance. */
  private static UseAsSourceFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static UseAsSourceFunction getInstance() {
    if (UseAsSourceFunction.instance==null)
      UseAsSourceFunction.instance=new UseAsSourceFunction();
    return UseAsSourceFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().useProcessedImageAsSource();
  }
}
