
package imageConvolution.logic;

import java.awt.image.Kernel;

/**
 * @author TineL
 * @version 1.0, 18.12.2006
 * @since 1.0
 */
public class Mask {

  public static final float[] MASK_DEFAULT_SHARPEN={0, -1, 0, -1, 5, -1, 0, -1,
    0};
  public static final float[] MASK_DEFAULT_BLUR={1f/16, 1f/8, 1f/16, 1f/8,
    1f/4, 1f/8, 1f/16, 1f/8, 1f/16};
  public static final float[] MASK_DEFAULT_EMBOSS={-1, 0, 0, 0, 0, 0, 0, 0, 1};
  public static final float[] MASK_NO_OP={0, 0, 0, 0, 1, 0, 0, 0, 0};

  public static Kernel createCompatibleKernel(float[] mask) {
    return new Kernel(3, 3, mask);
  }

  public static int getMaskLength() {
    return 9;
  }
}
