
package imageConvolution.ui;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

/**
 * @author TineL
 * @version 1.0, 11.12.2006
 * @since 1.0
 */
public class Original extends JPanel {

  BufferedImage image;

  public void setImage(final BufferedImage image) {
    this.image=image;
    if (getImage()!=null) {
      setPreferredSize(new Dimension(getImage().getWidth(), getImage()
        .getHeight()));
    } else {
      setPreferredSize(new Dimension(0, 0));
    }
    revalidate();
    repaint();
  }

  /**
   * @return the image.
   * @since 1.0
   */
  public BufferedImage getImage() {
    return this.image;
  }

  /**
   * @see javax.swing.JComponent#paintComponent(java.awt.Graphics)
   * @since 1.0
   */
  protected void paintComponent(Graphics g) {
    super.paintComponent(g);

    if (getImage()!=null) g.drawImage(getImage(), 0, 0, this);
  }
}
