
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The Exit function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class ExitFunction extends ButtonFunction {

  /** Singleton instance. */
  private static ExitFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static ExitFunction getInstance() {
    if (ExitFunction.instance==null) ExitFunction.instance=new ExitFunction();
    return ExitFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().exit();
  }
}
