
package imageConvolution.ui.functions;

import imageConvolution.ProgramFlow;

/**
 * The Save image function.
 * 
 * @author TineL
 * @version 1.0, 17.12.2006
 * @since 1.0
 */
public class SaveImageFunction extends ButtonFunction {

  /** Singleton instance. */
  private static SaveImageFunction instance=null;

  /**
   * @return the singleton instance of this class (<code>null</code> not
   *         possible).
   * @since 1.0
   */
  public static SaveImageFunction getInstance() {
    if (SaveImageFunction.instance==null)
      SaveImageFunction.instance=new SaveImageFunction();
    return SaveImageFunction.instance;
  }

  /**
   * @see ui.functions.Function#init()
   * @since 1.0
   */
  protected void init() {}

  /**
   * @see ui.functions.Function#run()
   * @since 1.0
   */
  protected void run() {
    ProgramFlow.getInstance().showSaveFileDialog();
  }
}
